Bug 20155 - Improve readability of OPAC header language menu
Summary: Improve readability of OPAC header language menu
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 17:15 UTC by Owen Leonard
Modified: 2018-02-16 01:51 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20155 - Improve readability of OPAC header language menu (8.20 KB, patch)
2018-02-07 17:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20155 (Follow-up) Compiled CSS (84.79 KB, patch)
2018-02-07 17:26 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 20155 - Improve readability of OPAC header language menu (8.27 KB, patch)
2018-02-07 18:23 UTC, Jon Knight
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 20155 (Follow-up) Compiled CSS (84.85 KB, patch)
2018-02-07 18:23 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20155: Improve readability of OPAC header language menu (8.31 KB, patch)
2018-02-07 21:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20155: (follow-up) Compiled CSS (84.90 KB, patch)
2018-02-07 21:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-02-07 17:15:51 UTC
The language menu in the OPAC's header has light blue links which aren't very readable because of their low contrast. This menu should be styled to match the Lists menu.
Comment 1 Owen Leonard 2018-02-07 17:26:51 UTC
Created attachment 71294 [details] [review]
Bug 20155 - Improve readability of OPAC header language menu

This patch makes some minor HTML and CSS changes in order to make the
header's language-chooser menu more readable and consistent with the
Lists menu.

To test, apply this patch and the patch with the compiled CSS.

- Install and enable more than one translation.
- Set the OpacLangSelectorMode to either "top" or "both top and footer."
- View the OPAC's header menu and confirm that the links and menus look
  correct whether or not a user is logged in.
Comment 2 Owen Leonard 2018-02-07 17:26:54 UTC
Created attachment 71295 [details] [review]
Bug 20155 (Follow-up) Compiled CSS

This patch contains the compiled opac.css file.
Comment 3 Jon Knight 2018-02-07 18:23:40 UTC
Created attachment 71299 [details] [review]
[SIGNED-OFF] Bug 20155 - Improve readability of OPAC header language menu

This patch makes some minor HTML and CSS changes in order to make the
header's language-chooser menu more readable and consistent with the
Lists menu.

To test, apply this patch and the patch with the compiled CSS.

- Install and enable more than one translation.
- Set the OpacLangSelectorMode to either "top" or "both top and footer."
- View the OPAC's header menu and confirm that the links and menus look
  correct whether or not a user is logged in.

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Jon Knight 2018-02-07 18:23:43 UTC
Created attachment 71300 [details] [review]
[SIGNED-OFF] Bug 20155 (Follow-up) Compiled CSS

This patch contains the compiled opac.css file.

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 5 Katrin Fischer 2018-02-07 21:22:56 UTC
Hi Owen, great patches as usual :) Fixed the bug descriptions a bit to fit the new guidelines.
Comment 6 Katrin Fischer 2018-02-07 21:23:55 UTC
Created attachment 71330 [details] [review]
Bug 20155: Improve readability of OPAC header language menu

This patch makes some minor HTML and CSS changes in order to make the
header's language-chooser menu more readable and consistent with the
Lists menu.

To test, apply this patch and the patch with the compiled CSS.

- Install and enable more than one translation.
- Set the OpacLangSelectorMode to either "top" or "both top and footer."
- View the OPAC's header menu and confirm that the links and menus look
  correct whether or not a user is logged in.

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2018-02-07 21:23:59 UTC
Created attachment 71331 [details] [review]
Bug 20155: (follow-up) Compiled CSS

This patch contains the compiled opac.css file.

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2018-02-12 21:09:05 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 9 Nick Clemens 2018-02-16 01:51:38 UTC
Awesome work all! Enhancement, not backported to stable.